package lvl

import (
	"testing"
)

func TestString(t *testing.T) {
	cases := []struct {
		l Level
		e string
	}{
		{
			l: Debug,
			e: "Debug",
		},
		{
			l: Info,
			e: "Info",
		},
		{
			l: Warn,
			e: "Warn",
		},
		{
			l: Error,
			e: "Error",
		},
	}

	for _, c := range cases {
		t.Run(c.e, func(t *testing.T) {
			s := c.l.String()

			if s != c.e {
				t.Errorf("Expected %s but got %s", c.e, s)
			}
		})
	}
}

func TestMarshalJSON(t *testing.T) {
	cases := []struct {
		l Level
		e string
	}{
		{
			l: Debug,
			e: `"Debug"`,
		},
		{
			l: Info,
			e: `"Info"`,
		},
		{
			l: Warn,
			e: `"Warn"`,
		},
		{
			l: Error,
			e: `"Error"`,
		},
	}

	for _, c := range cases {
		t.Run(c.e, func(t *testing.T) {
			res, _ := c.l.MarshalJSON()

			if string(res) != c.e {
				t.Errorf("Expected %s but got %s", c.e, res)
			}
		})
	}
}
